package valueholder;

import java.util.ArrayList;

public class StudentMapper {

    protected DomainObject doLoad(Long id) {
        Student student = new Student(id);
        student.setCourses(new ValueHolder(new CourseLoader(id)));
        return student;
    }

    public static class CourseLoader implements ValueLoader {
        private Long id;

        public CourseLoader(Long id) {
            this.id = id;
        }

        public Object load() {
            // Return dummy empty list
            return new ArrayList<DomainObject>(2);
        }
    }


}

